--
-- $Id$
--
-- Bij een aantal AAFM klanten staat de begintijd en/of eindtijd bij de openingstijden van het gebouw op -1

DEFINE thisfile = 'AAFM#39040.sql'
DEFINE dbuser   = '^AA|^ASMS|^NMMS|^RABO|^ZKHM'


SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE alg_gebouw
   SET alg_gebouw_beginuur = NULL
 WHERE alg_gebouw_beginuur = -1;

UPDATE alg_gebouw
   SET alg_gebouw_einduur = NULL
 WHERE alg_gebouw_einduur = -1;
   
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

--@@ &custid